# Change Log

## [3.11](https://github.com/gdombiak/OctoPod/tree/3.11) (2021-02-11)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.10...3.11)

**Implemented enhancements:**

- Buttons in Move Panel should only be enabled when not printing [\#462](https://github.com/gdombiak/OctoPod/issues/462)
- Save the "Suppress temp/SD" state between sessions [\#460](https://github.com/gdombiak/OctoPod/issues/460)
- Enhancement: Search in file list [\#459](https://github.com/gdombiak/OctoPod/issues/459)
- Settings are now shared between iOS and Apple TV devices [\#456](https://github.com/gdombiak/OctoPod/issues/456)
- Confirmation dialogs for pause, print and resume follows iOS configuration [\#455](https://github.com/gdombiak/OctoPod/issues/455)
- Add confirmation dialog to pause and resume [\#454](https://github.com/gdombiak/OctoPod/issues/454)
- Prompt confirmation to start, pause or resume printing [\#452](https://github.com/gdombiak/OctoPod/issues/452)
- BL Touch Commands in Octopod [\#451](https://github.com/gdombiak/OctoPod/issues/451)
- Display RPi temperature [\#442](https://github.com/gdombiak/OctoPod/issues/442)
- Add social sharing from the app [\#436](https://github.com/gdombiak/OctoPod/issues/436)
- PSUControl with sirishortcut ? [\#432](https://github.com/gdombiak/OctoPod/issues/432)
- Confirmation in file delete [\#428](https://github.com/gdombiak/OctoPod/issues/428)
- Auto-lock job buttons based on iOS configuration [\#420](https://github.com/gdombiak/OctoPod/issues/420)
- Manage Timelapses Feature Request [\#323](https://github.com/gdombiak/OctoPod/issues/323)

**Fixed bugs:**

- Changing camera orientation in OctoPrint does not take effect immediately  [\#458](https://github.com/gdombiak/OctoPod/issues/458)
- Incorrect printer configuration may be updated when changing OctoPrint settings [\#457](https://github.com/gdombiak/OctoPod/issues/457)
- Current layer and height are sometimes not shown [\#447](https://github.com/gdombiak/OctoPod/issues/447)
- Min variance ignores when variance is 0 [\#446](https://github.com/gdombiak/OctoPod/issues/446)
- Fix app crash when connecting to OctoPrint [\#431](https://github.com/gdombiak/OctoPod/issues/431)
- Update Localizable.strings [\#434](https://github.com/gdombiak/OctoPod/pull/434) ([Shaewen-Chronicles](https://github.com/Shaewen-Chronicles))

**Closed issues:**

- Webcam upside down on AppleTV [\#453](https://github.com/gdombiak/OctoPod/issues/453)
- Add custom default temperatures [\#440](https://github.com/gdombiak/OctoPod/issues/440)
- Add support for RTSP stream from IP cameras [\#433](https://github.com/gdombiak/OctoPod/issues/433)
- Please i need PSU Plugin into the app [\#430](https://github.com/gdombiak/OctoPod/issues/430)

## [3.10](https://github.com/gdombiak/OctoPod/tree/3.10) (2020-12-11)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.9...3.10)

**Implemented enhancements:**

- \[TV\] Add support for HLS feed [\#415](https://github.com/gdombiak/OctoPod/issues/415)
- Apple TV: fullscreen video in detail view [\#300](https://github.com/gdombiak/OctoPod/issues/300)
- Add "Printing Time" and "Print Completion Time" to dashboard [\#421](https://github.com/gdombiak/OctoPod/issues/421)
- Configured camera feed for iPad Air 2020 & iPhone 12 series [\#414](https://github.com/gdombiak/OctoPod/issues/414)
- Add Siri Shortcuts to control Enclosure plugin switches [\#406](https://github.com/gdombiak/OctoPod/issues/406)
- Feature Request: iOS picture in Picture [\#383](https://github.com/gdombiak/OctoPod/issues/383)
- HLS Video Feed for Octoprint/Octopod - \(Investigation/Enhancement\) [\#302](https://github.com/gdombiak/OctoPod/issues/302)

**Fixed bugs:**

- Text color in Light Theme and Dark Mode [\#426](https://github.com/gdombiak/OctoPod/issues/426)
- Fix app crash in dashboard [\#422](https://github.com/gdombiak/OctoPod/issues/422)
- Fix random crash with cameras - index out of bounds [\#413](https://github.com/gdombiak/OctoPod/issues/413)
- Fix random crash recreating websocket connection [\#412](https://github.com/gdombiak/OctoPod/issues/412)
- Very high data usage over cellular [\#408](https://github.com/gdombiak/OctoPod/issues/408)
- Apple Watch : there is no camera  [\#394](https://github.com/gdombiak/OctoPod/issues/394)

**Closed issues:**

- I can’t add my printer [\#410](https://github.com/gdombiak/OctoPod/issues/410)
- DNS Query Pulls from Public DNS [\#407](https://github.com/gdombiak/OctoPod/issues/407)
- Add Facebook and Twitter support links [\#419](https://github.com/gdombiak/OctoPod/issues/419)
- Update charts library to 3.6.0 [\#409](https://github.com/gdombiak/OctoPod/issues/409)
- iOS app not available on AppleSilicon Macs? [\#411](https://github.com/gdombiak/OctoPod/issues/411)

## [3.9](https://github.com/gdombiak/OctoPod/tree/3.9) (2020-11-16)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.8...3.9)

**Fixed bugs:**

- Issue controlling Enclosure Plugin with Octopod [\#405](https://github.com/gdombiak/OctoPod/issues/405)
- iOS 14 Widgets Open to Last State [\#402](https://github.com/gdombiak/OctoPod/issues/402)
- Add Widget Url to medium Widget \#402 [\#403](https://github.com/gdombiak/OctoPod/pull/403) ([Willmac16](https://github.com/Willmac16))

**Closed issues:**

- iPad iOS 14 Can’t add new printer on latest build [\#390](https://github.com/gdombiak/OctoPod/issues/390)

## [3.8](https://github.com/gdombiak/OctoPod/tree/3.8) (2020-11-01)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.7...3.8)

**Implemented enhancements:**

- FilamentManager - Display current selection when changing spool [\#398](https://github.com/gdombiak/OctoPod/issues/398)
- FilamentManager - Disable changing spool while printing [\#396](https://github.com/gdombiak/OctoPod/issues/396)
- Please add a dashboard view widget  [\#393](https://github.com/gdombiak/OctoPod/issues/393)
- FilamentManager - Display remaining filament instead of used [\#392](https://github.com/gdombiak/OctoPod/issues/392)
- Display Cancel button in red  [\#389](https://github.com/gdombiak/OctoPod/issues/389)
- Change Background Color for iOS Widget [\#376](https://github.com/gdombiak/OctoPod/issues/376)
- Siri intent or quick action for printer shutdown [\#297](https://github.com/gdombiak/OctoPod/issues/297)

**Fixed bugs:**

- FilamentManager - Does not refresh selected spool when changed from web UI [\#397](https://github.com/gdombiak/OctoPod/issues/397)

**Closed issues:**

- Layer Notifications [\#399](https://github.com/gdombiak/OctoPod/issues/399)
- Siri suggestions not showing up in settings [\#384](https://github.com/gdombiak/OctoPod/issues/384)

## [3.7](https://github.com/gdombiak/OctoPod/tree/3.7) (2020-10-12)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.6...3.7)

**Implemented enhancements:**

- Add Siri confirmation to cancel print command [\#268](https://github.com/gdombiak/OctoPod/issues/268)
- Small improvement to iOS 14 widget to correctly render printer status [\#381](https://github.com/gdombiak/OctoPod/issues/381)
- Placeholder image in widget [\#371](https://github.com/gdombiak/OctoPod/issues/371)
- Keep display awake when webcam is in fullscreen [\#368](https://github.com/gdombiak/OctoPod/issues/368)
- FR - An option to allow commands from ios lockscreen [\#330](https://github.com/gdombiak/OctoPod/issues/330)

**Fixed bugs:**

- Apple Watch app sometimes does not refresh when iOS app is not reachable [\#388](https://github.com/gdombiak/OctoPod/issues/388)
- Apple Watch complication does not refresh without iOS app [\#387](https://github.com/gdombiak/OctoPod/issues/387)
- Fix app crash when pressing connect/disconnect button [\#386](https://github.com/gdombiak/OctoPod/issues/386)
- Fix silent app crash with Siri intents [\#385](https://github.com/gdombiak/OctoPod/issues/385)
- Clicking on medium size iOS 14 widget does not switch to selected printer [\#382](https://github.com/gdombiak/OctoPod/issues/382)
- Fix application crash in background refresh due to concurrency  [\#380](https://github.com/gdombiak/OctoPod/issues/380)
- Fix application crash due to 'index out of range' in cameras [\#379](https://github.com/gdombiak/OctoPod/issues/379)
- Issue with Enclosure Outputs in Octopod iPhone App [\#373](https://github.com/gdombiak/OctoPod/issues/373)

**Closed issues:**

- What should be in Widget View?  [\#378](https://github.com/gdombiak/OctoPod/issues/378)
- Port to Android? [\#377](https://github.com/gdombiak/OctoPod/issues/377)
- Webcam URL incorrect in ios app [\#375](https://github.com/gdombiak/OctoPod/issues/375)
- Flow and federate sliders at 75% when starting app  [\#372](https://github.com/gdombiak/OctoPod/issues/372)
- ngrok support [\#363](https://github.com/gdombiak/OctoPod/issues/363)
- Octopod external network [\#350](https://github.com/gdombiak/OctoPod/issues/350)
- iOS app stops printing when quit [\#336](https://github.com/gdombiak/OctoPod/issues/336)
- Octopod Plugin + Octopod IOS: Get 10 Push-Messages for every status \(25%, 50%, 75%\) [\#333](https://github.com/gdombiak/OctoPod/issues/333)
- Add support for iPad PiP  [\#168](https://github.com/gdombiak/OctoPod/issues/168)

## [3.6](https://github.com/gdombiak/OctoPod/tree/3.6) (2020-09-17)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.5...3.6)

**Implemented enhancements:**

- Add support for iOS 14 widgets [\#367](https://github.com/gdombiak/OctoPod/issues/367)
- Siri suggestions should not include cancelling a print [\#361](https://github.com/gdombiak/OctoPod/issues/361)
- \[FR\] Fixed width font in Terminal view [\#349](https://github.com/gdombiak/OctoPod/issues/349)
- MultiCam plugin now supports rotation settings [\#348](https://github.com/gdombiak/OctoPod/issues/348)
- If no enclosureInputs then hide the Enclosure section header [\#344](https://github.com/gdombiak/OctoPod/pull/344) ([andrew-codechimp](https://github.com/andrew-codechimp))
- Format command preserving value tokens [\#328](https://github.com/gdombiak/OctoPod/pull/328) ([pusewicz](https://github.com/pusewicz))

**Fixed bugs:**

- iOS 14 local network access permission [\#359](https://github.com/gdombiak/OctoPod/issues/359)
- 404 error accessing websocket \("Not refreshing"/Starscream.WSError\) when configured OctoPrint URL ends with / [\#356](https://github.com/gdombiak/OctoPod/issues/356)
- fixing generator.impactOccurred\(\) crash on iOS 11.\* [\#347](https://github.com/gdombiak/OctoPod/pull/347) ([ariforu](https://github.com/ariforu))

**Closed issues:**

- FilamentManager no Python 3 support [\#370](https://github.com/gdombiak/OctoPod/issues/370)
- I get 2 notifications for everything. How do I change that? [\#366](https://github.com/gdombiak/OctoPod/issues/366)
- Support for webcam stream on different port? [\#360](https://github.com/gdombiak/OctoPod/issues/360)
- Live view link Hase the wrong address on ipad [\#358](https://github.com/gdombiak/OctoPod/issues/358)
- Camera view upside down on iPad [\#354](https://github.com/gdombiak/OctoPod/issues/354)
- Klipper—Disable automatic command formatting [\#327](https://github.com/gdombiak/OctoPod/issues/327)

## [3.5](https://github.com/gdombiak/OctoPod/tree/3.5) (2020-06-08)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.4...3.5)

**Implemented enhancements:**

- Show Estimated Completion Time on Watch App [\#341](https://github.com/gdombiak/OctoPod/issues/341)
- \[FR\] Display already printed files in a different color [\#334](https://github.com/gdombiak/OctoPod/issues/334)
- Add setting to be able to hide camera for a printer [\#316](https://github.com/gdombiak/OctoPod/issues/316)
- Move from Cocoapods to Swift Package Manager [\#270](https://github.com/gdombiak/OctoPod/issues/270)
- Enable slide over & split view on iPad \(single instance\) [\#339](https://github.com/gdombiak/OctoPod/pull/339) ([andrew-codechimp](https://github.com/andrew-codechimp))

**Fixed bugs:**

- Files Not Shown [\#284](https://github.com/gdombiak/OctoPod/issues/284)
- Fix app crash when overlaying info over camera [\#342](https://github.com/gdombiak/OctoPod/issues/342)
- Prompt Extrude settings not saved [\#337](https://github.com/gdombiak/OctoPod/issues/337)
- OctoPod shows different file sizes [\#335](https://github.com/gdombiak/OctoPod/issues/335)
- Theme contrast issues [\#329](https://github.com/gdombiak/OctoPod/issues/329)

**Closed issues:**

- Multiple OctoPrint installations on same Pi cause problems [\#331](https://github.com/gdombiak/OctoPod/issues/331)
- Enclosure plugin doesn’t change gpios [\#324](https://github.com/gdombiak/OctoPod/issues/324)
- Enclosure implementation not working for GPIO outputs [\#320](https://github.com/gdombiak/OctoPod/issues/320)
- Hide Camera Pane if Webcam Support is disabled [\#317](https://github.com/gdombiak/OctoPod/issues/317)
- Camera shows blank/gray image [\#171](https://github.com/gdombiak/OctoPod/issues/171)
- Failed print when launching app [\#170](https://github.com/gdombiak/OctoPod/issues/170)
- Duet support [\#164](https://github.com/gdombiak/OctoPod/issues/164)
- Add support for doing PID calibration \(bed & nozzle\) [\#128](https://github.com/gdombiak/OctoPod/issues/128)
- logo proposal [\#122](https://github.com/gdombiak/OctoPod/issues/122)
- Add Turkish translation [\#117](https://github.com/gdombiak/OctoPod/issues/117)
- Update charts library to 3.5.0 [\#338](https://github.com/gdombiak/OctoPod/issues/338)

## [3.4](https://github.com/gdombiak/OctoPod/tree/3.4) (2020-04-29)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.3...3.4)

**Implemented enhancements:**

- Hide printers from dashboard [\#314](https://github.com/gdombiak/OctoPod/issues/314)
- Files window does not display errors when loading files [\#312](https://github.com/gdombiak/OctoPod/issues/312)
- Add support for Ultimaker Format Package plugin  [\#311](https://github.com/gdombiak/OctoPod/issues/311)
- Add support for PrusaSlicer Thumbnails plugin [\#310](https://github.com/gdombiak/OctoPod/issues/310)
- Feature request - Enclosure plugin - Add confirmation dialog [\#307](https://github.com/gdombiak/OctoPod/issues/307)
- iOS App: Filter file list [\#299](https://github.com/gdombiak/OctoPod/issues/299)
- Add support for Filamentmanager plugin [\#274](https://github.com/gdombiak/OctoPod/issues/274)

**Fixed bugs:**

- App store updated my iPad 4 from 3.2 build 4 release to the latest 3.3, now broken [\#319](https://github.com/gdombiak/OctoPod/issues/319)
- System commands with spaces fail to execute [\#306](https://github.com/gdombiak/OctoPod/issues/306)

**Closed issues:**

- \[Feature Request\] Show thumbnail [\#313](https://github.com/gdombiak/OctoPod/issues/313)
- Drop iOS 10 support. iOS 11 or newer is now supported [\#309](https://github.com/gdombiak/OctoPod/issues/309)
- Starscream.WSError [\#308](https://github.com/gdombiak/OctoPod/issues/308)
- Webcam not functioning / url broken [\#305](https://github.com/gdombiak/OctoPod/issues/305)

## [3.3](https://github.com/gdombiak/OctoPod/tree/3.3) (2020-04-18)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.2...3.3)

**Implemented enhancements:**

- \[ATV\] - Add confirmation to pause print job [\#282](https://github.com/gdombiak/OctoPod/issues/282)
- \[ATV\] - Group information on detailed view [\#281](https://github.com/gdombiak/OctoPod/issues/281)
- \[ATV\] - Disable screensaver [\#280](https://github.com/gdombiak/OctoPod/issues/280)
- Swipe down to check for plugin or OctoPrint updates [\#304](https://github.com/gdombiak/OctoPod/issues/304)
- Add haptic feedback to system commands [\#294](https://github.com/gdombiak/OctoPod/issues/294)
- Add haptic feedback to custom control [\#293](https://github.com/gdombiak/OctoPod/issues/293)
- Update OctoPod Icon [\#291](https://github.com/gdombiak/OctoPod/issues/291)
- Add printers dashboard to iOS app [\#286](https://github.com/gdombiak/OctoPod/issues/286)
- App needs fresh/modern Icon [\#278](https://github.com/gdombiak/OctoPod/issues/278)
- Feature request - Add support for enclosure plugin - temperature probe [\#277](https://github.com/gdombiak/OctoPod/issues/277)

**Fixed bugs:**

- Tasmota plugin not showing on v3.2b4 [\#279](https://github.com/gdombiak/OctoPod/issues/279)
- Icon of TPLink button does not show current state \(Issues with Kasa HS105\) [\#258](https://github.com/gdombiak/OctoPod/issues/258)
- Layer Display broken with DisplayLayerProgress 1.19.1 [\#296](https://github.com/gdombiak/OctoPod/issues/296)
- Y control button inverted [\#292](https://github.com/gdombiak/OctoPod/issues/292)

**Closed issues:**

- 02k [\#301](https://github.com/gdombiak/OctoPod/issues/301)
- hostname is case sensitive \(at least on an octopi-0.170/octoprint-1.4.0\) [\#298](https://github.com/gdombiak/OctoPod/issues/298)
- Connection Failed: Service is down or incorrect port [\#295](https://github.com/gdombiak/OctoPod/issues/295)
- Octopod not able to cancel/pause prints [\#287](https://github.com/gdombiak/OctoPod/issues/287)
- I am loving the AppleTV app! [\#285](https://github.com/gdombiak/OctoPod/issues/285)

## [3.2](https://github.com/gdombiak/OctoPod/tree/3.2) (2020-03-25)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.1...3.2)

**Implemented enhancements:**

- Allow to send notifications at certain layers [\#276](https://github.com/gdombiak/OctoPod/issues/276)
- Add support for controlling layer notifications [\#275](https://github.com/gdombiak/OctoPod/issues/275)
- Improve contrast of temp information overlaid on top of camera [\#273](https://github.com/gdombiak/OctoPod/issues/273)
- Read predefined heating temperatures from OctoPrint [\#272](https://github.com/gdombiak/OctoPod/issues/272)
- Allow to select popular GCode commands to send from Terminal [\#269](https://github.com/gdombiak/OctoPod/issues/269)
- Add Russian translation  [\#266](https://github.com/gdombiak/OctoPod/issues/266)
- Request for Layer Number in Panel [\#265](https://github.com/gdombiak/OctoPod/issues/265)
- Add Apple TV support [\#135](https://github.com/gdombiak/OctoPod/issues/135)

**Closed issues:**

- Add info on number of Palette splices [\#264](https://github.com/gdombiak/OctoPod/issues/264)

## [3.1](https://github.com/gdombiak/OctoPod/tree/3.1) (2020-02-15)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/3.0...3.1)

**Implemented enhancements:**

- Overlay temp info and ETA over camera when temp info is not displayed [\#262](https://github.com/gdombiak/OctoPod/issues/262)
- Feature request: UX improvements [\#261](https://github.com/gdombiak/OctoPod/issues/261)
- Reduce spacing on main Panel so it fits on one screen [\#259](https://github.com/gdombiak/OctoPod/issues/259)
- Terminal view improvements [\#256](https://github.com/gdombiak/OctoPod/issues/256)

**Fixed bugs:**

- Fix silent AppleWatch crash [\#263](https://github.com/gdombiak/OctoPod/issues/263)
- Connect/Disconnect button is active even when connection state is unknown [\#254](https://github.com/gdombiak/OctoPod/issues/254)

**Closed issues:**

- Webcam stream and Reverse Proxy [\#260](https://github.com/gdombiak/OctoPod/issues/260)

## [3.0](https://github.com/gdombiak/OctoPod/tree/3.0) (2020-01-30)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.11...3.0)

**Implemented enhancements:**

- Add info in full screen webcam view [\#251](https://github.com/gdombiak/OctoPod/issues/251)
- Add support for Accessibility - Larger Text [\#250](https://github.com/gdombiak/OctoPod/issues/250)
- New Siri shortcut for getting Palette 2 ping statistics [\#249](https://github.com/gdombiak/OctoPod/issues/249)
- Apple Watch - Render Palette 2 ping statistics in app and complications [\#247](https://github.com/gdombiak/OctoPod/issues/247)
- Apple Watch - Improve complications to display more information [\#246](https://github.com/gdombiak/OctoPod/issues/246)
- Palette 2 - Display ping/pong variance [\#245](https://github.com/gdombiak/OctoPod/issues/245)
- Update pod Charts to 3.4.0 [\#244](https://github.com/gdombiak/OctoPod/issues/244)
- Update pod Starscream to 3.1.1 [\#243](https://github.com/gdombiak/OctoPod/issues/243)
- Allow to go home on each axis independently [\#242](https://github.com/gdombiak/OctoPod/issues/242)
- Improve pause/cancel/resume/restart UX [\#241](https://github.com/gdombiak/OctoPod/issues/241)
- Add support for Dark Mode [\#240](https://github.com/gdombiak/OctoPod/issues/240)
- Keyboard accessory for number rows when  [\#239](https://github.com/gdombiak/OctoPod/issues/239)
- Option: Don‘t sleep [\#236](https://github.com/gdombiak/OctoPod/issues/236)
- Add cell with date and time for expected print finish [\#219](https://github.com/gdombiak/OctoPod/issues/219)
- Update icons to use newest design [\#199](https://github.com/gdombiak/OctoPod/issues/199)
- Use the keyboard's "return" to send gcode \(+3 other small related things\) [\#162](https://github.com/gdombiak/OctoPod/issues/162)

**Fixed bugs:**

- Extrude speed configuration dialog does not appear [\#253](https://github.com/gdombiak/OctoPod/issues/253)
- Removed gcode command from history comes back after restart [\#252](https://github.com/gdombiak/OctoPod/issues/252)
- Watch app doesn't work without iPhone app running [\#194](https://github.com/gdombiak/OctoPod/issues/194)

**Closed issues:**

- Custom Controls not available during Print [\#255](https://github.com/gdombiak/OctoPod/issues/255)
- Printer is restarting on Connect [\#248](https://github.com/gdombiak/OctoPod/issues/248)

## [2.11](https://github.com/gdombiak/OctoPod/tree/2.11) (2020-01-08)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.10...2.11)

**Fixed bugs:**

- Fix app crash when changing device orientation [\#238](https://github.com/gdombiak/OctoPod/issues/238)
- The Files view shows only source "SD card" or "Octoprint", but no file names. [\#237](https://github.com/gdombiak/OctoPod/issues/237)

## [2.10](https://github.com/gdombiak/OctoPod/tree/2.10) (2019-12-16)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.9...2.10)

**Fixed bugs:**

- Improve CancelObject plugin support by using ignored elements [\#234](https://github.com/gdombiak/OctoPod/issues/234)
- iPad & iOS 13.2.3 Seems to induce weird Portrait/Landscape behaviour on Video Stream [\#233](https://github.com/gdombiak/OctoPod/issues/233)

## [2.9](https://github.com/gdombiak/OctoPod/tree/2.9) (2019-12-05)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.8...2.9)

**Implemented enhancements:**

- French Translation \(offer\) [\#218](https://github.com/gdombiak/OctoPod/issues/218)

**Fixed bugs:**

- Palette 2 Plugin 2.3.1 ping/pong values [\#231](https://github.com/gdombiak/OctoPod/issues/231)

**Closed issues:**

- Notification Settings [\#232](https://github.com/gdombiak/OctoPod/issues/232)
- Notifications: Unknot code [\#229](https://github.com/gdombiak/OctoPod/issues/229)

## [2.8](https://github.com/gdombiak/OctoPod/tree/2.8) (2019-10-15)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.7...2.8)

**Implemented enhancements:**

- Improve Today's widget to show running printers first [\#228](https://github.com/gdombiak/OctoPod/issues/228)
- Printer List Order [\#222](https://github.com/gdombiak/OctoPod/issues/222)
- File name on 2 lines in the "Files" tab [\#221](https://github.com/gdombiak/OctoPod/issues/221)
- Add menu button to execute custom control [\#207](https://github.com/gdombiak/OctoPod/issues/207)

**Fixed bugs:**

- Disable Palette 2 buttons when app is locked [\#224](https://github.com/gdombiak/OctoPod/issues/224)
- Invalid camera URL when there is an empty space [\#220](https://github.com/gdombiak/OctoPod/issues/220)

**Closed issues:**

- Custom System Commands Execute Error [\#227](https://github.com/gdombiak/OctoPod/issues/227)

## [2.7](https://github.com/gdombiak/OctoPod/tree/2.7) (2019-08-24)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.6...2.7)

**Implemented enhancements:**

- Old Apple watch support??? [\#143](https://github.com/gdombiak/OctoPod/issues/143)
- Panel tab improvement - "rewind" to first page [\#216](https://github.com/gdombiak/OctoPod/issues/216)
- Update pod Starscream to 3.1.0 [\#214](https://github.com/gdombiak/OctoPod/issues/214)
- Change extrude by value: 100 to 50 [\#213](https://github.com/gdombiak/OctoPod/issues/213)
- Add new setting to not prompt extrude/retract speed [\#212](https://github.com/gdombiak/OctoPod/issues/212)
- Add Swedish translation [\#210](https://github.com/gdombiak/OctoPod/issues/210)
- Add support for up to 5 extruders [\#209](https://github.com/gdombiak/OctoPod/issues/209)
- Add slide to delete past gcodes in terminal [\#208](https://github.com/gdombiak/OctoPod/issues/208)
- Optimize HTTP calls when swiping to change printers  [\#206](https://github.com/gdombiak/OctoPod/issues/206)
- Do not show connection errors for not selected printers [\#205](https://github.com/gdombiak/OctoPod/issues/205)
- Add Palette 2 Integration [\#204](https://github.com/gdombiak/OctoPod/issues/204)
- Add support to discover OctoPrint installations in the network [\#58](https://github.com/gdombiak/OctoPod/issues/58)

**Fixed bugs:**

- Fix crash with no-longer existing websocket connection [\#217](https://github.com/gdombiak/OctoPod/issues/217)
- Fix memory leak using URLSession [\#215](https://github.com/gdombiak/OctoPod/issues/215)
- Custom Control page does not refresh when switching printers [\#203](https://github.com/gdombiak/OctoPod/issues/203)

**Closed issues:**

- Webcam URL [\#211](https://github.com/gdombiak/OctoPod/issues/211)
- Octopod Generates Tornado.access Errors when connecting to octoprint. [\#188](https://github.com/gdombiak/OctoPod/issues/188)

## [2.6](https://github.com/gdombiak/OctoPod/tree/2.6) (2019-07-16)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.5...2.6)

**Implemented enhancements:**

- Allow user to select sound to use for notifications [\#195](https://github.com/gdombiak/OctoPod/issues/195)
- Add support for push notifications [\#83](https://github.com/gdombiak/OctoPod/issues/83)
- Display history of gcode commands [\#201](https://github.com/gdombiak/OctoPod/issues/201)
- Quick switch between printers [\#200](https://github.com/gdombiak/OctoPod/issues/200)
- Alert when there are new plugin versions [\#198](https://github.com/gdombiak/OctoPod/issues/198)
- Add support for chamber temperature [\#197](https://github.com/gdombiak/OctoPod/issues/197)
- Allow to suppress temp and SD messages from Terminal  [\#153](https://github.com/gdombiak/OctoPod/issues/153)

**Fixed bugs:**

- Websockets seem to be crashing for some users [\#202](https://github.com/gdombiak/OctoPod/issues/202)

## [2.5](https://github.com/gdombiak/OctoPod/tree/2.5) (2019-06-30)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.4...2.5)

**Implemented enhancements:**

- Display local notifications only if OctoPod plugin is not installed [\#196](https://github.com/gdombiak/OctoPod/issues/196)

## [2.4](https://github.com/gdombiak/OctoPod/tree/2.4) (2019-06-17)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.3...2.4)

**Implemented enhancements:**

- Add Lithuanian translation [\#193](https://github.com/gdombiak/OctoPod/issues/193)
- Display notification also when app is in the foreground [\#192](https://github.com/gdombiak/OctoPod/issues/192)
- Display notification when MMU requires user assistance enhancement [\#191](https://github.com/gdombiak/OctoPod/issues/191)
- Accept hostname specified without http:// [\#187](https://github.com/gdombiak/OctoPod/issues/187)

**Fixed bugs:**

- Notification sounds on iPhone [\#190](https://github.com/gdombiak/OctoPod/issues/190)
- Include port number in Host header [\#189](https://github.com/gdombiak/OctoPod/issues/189)

## [2.3](https://github.com/gdombiak/OctoPod/tree/2.3) (2019-05-26)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.2...2.3)

**Implemented enhancements:**

- Receive notification when printer bed warmed up to target temperature and duration [\#186](https://github.com/gdombiak/OctoPod/issues/186)
- Add reminder to promote new OctoPrint plugin for OctoPod [\#185](https://github.com/gdombiak/OctoPod/issues/185)
- Receive notification when printer bed cools down to desired temperature [\#184](https://github.com/gdombiak/OctoPod/issues/184)

**Closed issues:**

- Tplink plug-in error [\#173](https://github.com/gdombiak/OctoPod/issues/173)

## [2.2](https://github.com/gdombiak/OctoPod/tree/2.2) (2019-05-19)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.1.1...2.2)

**Implemented enhancements:**

- Improved UX for custom extrude/retract [\#183](https://github.com/gdombiak/OctoPod/issues/183)
- Display temperature variance of extruder and bed  [\#180](https://github.com/gdombiak/OctoPod/issues/180)
- Update to Swift 5 [\#179](https://github.com/gdombiak/OctoPod/issues/179)
- Update pod Starscream to 3.1.0 [\#178](https://github.com/gdombiak/OctoPod/issues/178)
- Update pod Charts to 3.3.0 [\#177](https://github.com/gdombiak/OctoPod/issues/177)
- Small optimization rendering cameras [\#163](https://github.com/gdombiak/OctoPod/issues/163)
- Add support for real time push notifications with images [\#161](https://github.com/gdombiak/OctoPod/issues/161)
- Add tooltips that introduce existing Panel features [\#160](https://github.com/gdombiak/OctoPod/issues/160)

**Fixed bugs:**

- Fix crash when receiving a remote notification [\#181](https://github.com/gdombiak/OctoPod/issues/181)
- Not Refreshing when using OctoPrint 1.3.11 [\#176](https://github.com/gdombiak/OctoPod/issues/176)
- Switching between printers might render previous camera for a bit [\#159](https://github.com/gdombiak/OctoPod/issues/159)
- TP Link Smartplug doesn’t seem to be working  [\#158](https://github.com/gdombiak/OctoPod/issues/158)
- Switching between printers is sometimes getting you back to the previous one [\#154](https://github.com/gdombiak/OctoPod/issues/154)

**Closed issues:**

- Since Octoprint update to 1.3.11, I’m getting a “not refreshing” error [\#182](https://github.com/gdombiak/OctoPod/issues/182)
- StarScream.wserror-Fehler 1 after updating to Octoprint 1.3.11 [\#175](https://github.com/gdombiak/OctoPod/issues/175)
- Data not refreshing  [\#172](https://github.com/gdombiak/OctoPod/issues/172)
- Allow custom port number in printer url [\#169](https://github.com/gdombiak/OctoPod/issues/169)
- How to enable Apple Watch support [\#166](https://github.com/gdombiak/OctoPod/issues/166)
- Video /camera not showing up [\#165](https://github.com/gdombiak/OctoPod/issues/165)

## [2.1.1](https://github.com/gdombiak/OctoPod/tree/2.1.1) (2018-12-16)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.1...2.1.1)

**Fixed bugs:**

- Fix crash when file has no display text [\#156](https://github.com/gdombiak/OctoPod/issues/156)
- \[German\] Siri Command Responses do not replace variables [\#155](https://github.com/gdombiak/OctoPod/issues/155)

## [2.1](https://github.com/gdombiak/OctoPod/tree/2.1) (2018-12-16)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/2.0...2.1)

**Implemented enhancements:**

- Implement Siri shortcuts [\#147](https://github.com/gdombiak/OctoPod/issues/147)
- iOS widget [\#144](https://github.com/gdombiak/OctoPod/issues/144)
- Add upload date \(and maybe size\) to gcode files list [\#142](https://github.com/gdombiak/OctoPod/issues/142)
- System Menu [\#141](https://github.com/gdombiak/OctoPod/issues/141)
- Add new theme that follows OctoPrint's appearance color [\#140](https://github.com/gdombiak/OctoPod/issues/140)

**Fixed bugs:**

- Disable 'Refresh SD' button when app is locked [\#152](https://github.com/gdombiak/OctoPod/issues/152)
- Fix unusual bug where File has no display [\#150](https://github.com/gdombiak/OctoPod/issues/150)
- Camera rotation on Apple Watch.  [\#145](https://github.com/gdombiak/OctoPod/issues/145)

**Closed issues:**

- Disconnect cancels print [\#73](https://github.com/gdombiak/OctoPod/issues/73)

**Merged pull requests:**

- When using Siri, nil username/password is crashing [\#149](https://github.com/gdombiak/OctoPod/pull/149) ([chrisy](https://github.com/chrisy))
- Ask the user to authorize Siri [\#148](https://github.com/gdombiak/OctoPod/pull/148) ([chrisy](https://github.com/chrisy))

## [2.0](https://github.com/gdombiak/OctoPod/tree/2.0) (2018-11-11)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.12...2.0)

**Implemented enhancements:**

- Remember aspect ratio of first camera to improve user experience [\#138](https://github.com/gdombiak/OctoPod/issues/138)
- Allow to use FaceID for unlocking app [\#134](https://github.com/gdombiak/OctoPod/issues/134)
- Add local notification when print job is done [\#131](https://github.com/gdombiak/OctoPod/issues/131)
- Add new "Orange" theme [\#130](https://github.com/gdombiak/OctoPod/issues/130)
- Optimize camera screen size for new iPad Pro 11 inch [\#129](https://github.com/gdombiak/OctoPod/issues/129)
- Allow to set speed for extruding/retracting \(requires OctoPrint 1.3.10\) [\#127](https://github.com/gdombiak/OctoPod/issues/127)
- Allow to manually enter values besides using sliders in Move panel [\#126](https://github.com/gdombiak/OctoPod/issues/126)
- Improve move buttons layout to make it easier to use them [\#125](https://github.com/gdombiak/OctoPod/issues/125)
- OctoPrint 1.3.10 now requires websocket to be authenticated [\#121](https://github.com/gdombiak/OctoPod/issues/121)
- Allow to cancel objects via cancelobject plugin [\#93](https://github.com/gdombiak/OctoPod/issues/93)
- Add Apple Watch support [\#84](https://github.com/gdombiak/OctoPod/issues/84)

**Fixed bugs:**

- Camera image is sometimes not visible when coming back from full screen [\#137](https://github.com/gdombiak/OctoPod/issues/137)
- Fix crash when switching landscape/portrait mode  [\#124](https://github.com/gdombiak/OctoPod/issues/124)
- Changes to API key or URL of selected printer do not take immediate effect [\#123](https://github.com/gdombiak/OctoPod/issues/123)

## [1.12](https://github.com/gdombiak/OctoPod/tree/1.12) (2018-10-20)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.11...1.12)

**Implemented enhancements:**

- Let users disable zoom in/out of temp chart [\#120](https://github.com/gdombiak/OctoPod/issues/120)
- Adapt camera screen size according to aspect ratio [\#118](https://github.com/gdombiak/OctoPod/issues/118)
- Expose to user the reason why websocket is not refreshing [\#115](https://github.com/gdombiak/OctoPod/issues/115)
- Add Home button in Move window [\#112](https://github.com/gdombiak/OctoPod/issues/112)
- Allow to switch cameras while in full screen [\#99](https://github.com/gdombiak/OctoPod/issues/99)

**Fixed bugs:**

- Pull down text to refresh table is not translated [\#119](https://github.com/gdombiak/OctoPod/issues/119)
- Websocket fails to work with self-signed certs [\#114](https://github.com/gdombiak/OctoPod/issues/114)

**Closed issues:**

- Print job doesn’t show status [\#113](https://github.com/gdombiak/OctoPod/issues/113)

## [1.11](https://github.com/gdombiak/OctoPod/tree/1.11) (2018-10-15)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.10...1.11)

**Implemented enhancements:**

- Settings-\>Device - Hide login message when user is already logged into iCloud [\#111](https://github.com/gdombiak/OctoPod/issues/111)
- Show spinner when loading files since it could take some time [\#110](https://github.com/gdombiak/OctoPod/issues/110)
- Add support to auto-lock app while printing [\#109](https://github.com/gdombiak/OctoPod/issues/109)
- Improve websocket recovery logic [\#106](https://github.com/gdombiak/OctoPod/issues/106)
- Improve images resolution for retina display [\#104](https://github.com/gdombiak/OctoPod/issues/104)

**Fixed bugs:**

- Fix crash when subpanel height constraints where not calculated [\#107](https://github.com/gdombiak/OctoPod/issues/107)
- Websocket heartbeat causes OctoPrint warning [\#105](https://github.com/gdombiak/OctoPod/issues/105)
- Fix crash when camera finished loading image and there were no errors [\#103](https://github.com/gdombiak/OctoPod/issues/103)
- Cancelling the print should clean up progress information [\#102](https://github.com/gdombiak/OctoPod/issues/102)
- Fix crash when canceling, pausing, resuming job [\#101](https://github.com/gdombiak/OctoPod/issues/101)
- 'Not refreshing' alert stays on after connection was re-established [\#100](https://github.com/gdombiak/OctoPod/issues/100)

## [1.10](https://github.com/gdombiak/OctoPod/tree/1.10) (2018-10-08)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.9...1.10)

**Implemented enhancements:**

- Test app in iPhone SE due to its smaller screen [\#95](https://github.com/gdombiak/OctoPod/issues/95)
- Add Norwegian translation [\#91](https://github.com/gdombiak/OctoPod/issues/91)
- Add Italian translation [\#89](https://github.com/gdombiak/OctoPod/issues/89)
- Add Czech translation [\#88](https://github.com/gdombiak/OctoPod/issues/88)
- Add German translation [\#87](https://github.com/gdombiak/OctoPod/issues/87)
- Add Spanish translation [\#86](https://github.com/gdombiak/OctoPod/issues/86)
- Add support for multi-languages [\#17](https://github.com/gdombiak/OctoPod/issues/17)

**Fixed bugs:**

- Fix app crash when updating printer from non-main thread [\#98](https://github.com/gdombiak/OctoPod/issues/98)
- Fix crash when printing a file with invalid path [\#97](https://github.com/gdombiak/OctoPod/issues/97)
- Print done is not always marked as 100% done [\#94](https://github.com/gdombiak/OctoPod/issues/94)
- Domain Name with '-' Not accepted [\#92](https://github.com/gdombiak/OctoPod/issues/92)

**Closed issues:**

- Add Setting to choose language of the app [\#96](https://github.com/gdombiak/OctoPod/issues/96)

**Merged pull requests:**

- Add spanish translation from Spain [\#90](https://github.com/gdombiak/OctoPod/pull/90) ([ArtCC](https://github.com/ArtCC))

## [1.9](https://github.com/gdombiak/OctoPod/tree/1.9) (2018-09-26)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.8...1.9)

**Fixed bugs:**

- Crash when switching printer [\#85](https://github.com/gdombiak/OctoPod/issues/85)

## [1.8](https://github.com/gdombiak/OctoPod/tree/1.8) (2018-09-24)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.7...1.8)

**Implemented enhancements:**

- Add links to explain what Custom Controls are [\#82](https://github.com/gdombiak/OctoPod/issues/82)
- Add support for Tasmota plugin [\#81](https://github.com/gdombiak/OctoPod/issues/81)
- Add support for Domoticz switches [\#77](https://github.com/gdombiak/OctoPod/issues/77)
- Add support for Wemo switches [\#76](https://github.com/gdombiak/OctoPod/issues/76)
- Optimize screen size for new iPhones [\#75](https://github.com/gdombiak/OctoPod/issues/75)
- Allow to enable/disable confirmation dialogs on connect/disconnect [\#57](https://github.com/gdombiak/OctoPod/issues/57)
- Use iCloud sync to keep list of printers in synch between devices [\#51](https://github.com/gdombiak/OctoPod/issues/51)

**Fixed bugs:**

- Camera error message truncates text [\#80](https://github.com/gdombiak/OctoPod/issues/80)
- Fix crash when entered desired temp is not a number [\#74](https://github.com/gdombiak/OctoPod/issues/74)

**Closed issues:**

- Update to Swift 4.2 [\#79](https://github.com/gdombiak/OctoPod/issues/79)
- Update pod Charts to 3.2.0 [\#78](https://github.com/gdombiak/OctoPod/issues/78)

## [1.7](https://github.com/gdombiak/OctoPod/tree/1.7) (2018-09-10)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.6...1.7)

**Implemented enhancements:**

- Add page with links for support [\#72](https://github.com/gdombiak/OctoPod/issues/72)
- Improve text to indicate that user creds are only for HTTP Authentication [\#71](https://github.com/gdombiak/OctoPod/issues/71)
- Preserve device orientation when coming back from camera full screen [\#70](https://github.com/gdombiak/OctoPod/issues/70)
- Allow to set up the feed rate [\#65](https://github.com/gdombiak/OctoPod/issues/65)
- Support "app lock" mode [\#60](https://github.com/gdombiak/OctoPod/issues/60)

**Fixed bugs:**

- Fix crash when camera URL has invalid characters or is empty [\#69](https://github.com/gdombiak/OctoPod/issues/69)
- Fix error when displaying connection errors [\#68](https://github.com/gdombiak/OctoPod/issues/68)
- Multiple cameras hosted by OctoPrint not working [\#67](https://github.com/gdombiak/OctoPod/issues/67)
- Incorect webcam aspect ratio [\#66](https://github.com/gdombiak/OctoPod/issues/66)

**Closed issues:**

- Add basic auth support [\#64](https://github.com/gdombiak/OctoPod/issues/64)
- Multicam [\#55](https://github.com/gdombiak/OctoPod/issues/55)

## [1.6](https://github.com/gdombiak/OctoPod/tree/1.6) (2018-08-28)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.5...1.6)

**Implemented enhancements:**

- Accept IPv6 addresses and stop spell checker when adding printers [\#63](https://github.com/gdombiak/OctoPod/issues/63)
- Display error information when camera fails to render [\#62](https://github.com/gdombiak/OctoPod/issues/62)
- Allow to sort files by last successful print timestamp [\#54](https://github.com/gdombiak/OctoPod/issues/54)
- Allow to reprint completed job [\#53](https://github.com/gdombiak/OctoPod/issues/53)
- Allow to execute Custom Controls [\#15](https://github.com/gdombiak/OctoPod/issues/15)

**Fixed bugs:**

- Camera path may be incorrect when not using OctoPi [\#61](https://github.com/gdombiak/OctoPod/issues/61)

**Closed issues:**

- Add Cancel/Reset/Resume buttons. [\#56](https://github.com/gdombiak/OctoPod/issues/56)

## [1.5](https://github.com/gdombiak/OctoPod/tree/1.5) (2018-08-19)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.4...1.5)

**Implemented enhancements:**

- Add visual indication which printer is active in list of printers [\#50](https://github.com/gdombiak/OctoPod/issues/50)
- Support TPLink Smartplug to power printer on/off [\#49](https://github.com/gdombiak/OctoPod/issues/49)
- Add graph that shows temp history [\#48](https://github.com/gdombiak/OctoPod/issues/48)
- Add support for multiple cameras [\#47](https://github.com/gdombiak/OctoPod/issues/47)
- Make it explicit that webcam image supports full screen and zoom in/out [\#46](https://github.com/gdombiak/OctoPod/issues/46)
- Feature request: PSU Control plugin support. [\#36](https://github.com/gdombiak/OctoPod/issues/36)

**Fixed bugs:**

- Webcam full screen has white borders on iPhone X [\#52](https://github.com/gdombiak/OctoPod/issues/52)

**Closed issues:**

- Not very clear that wrench icons indicate that temps can be set [\#18](https://github.com/gdombiak/OctoPod/issues/18)

## [1.4](https://github.com/gdombiak/OctoPod/tree/1.4) (2018-08-05)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.3...1.4)

**Implemented enhancements:**

- Rename 'Print' to 'Job' in Job information dialog [\#45](https://github.com/gdombiak/OctoPod/issues/45)
- Display 'unknown' when remaining time is negative [\#44](https://github.com/gdombiak/OctoPod/issues/44)
- Increase terminal buffer size [\#43](https://github.com/gdombiak/OctoPod/issues/43)
- Allow to zoom in the webcam image [\#42](https://github.com/gdombiak/OctoPod/issues/42)
- Allow to navigate to OctoPrint's admin console [\#41](https://github.com/gdombiak/OctoPod/issues/41)
- Ask in a non-intrusive way to rate the app [\#25](https://github.com/gdombiak/OctoPod/issues/25)
- Allow to upload files from iCloud [\#2](https://github.com/gdombiak/OctoPod/issues/2)

## [1.3](https://github.com/gdombiak/OctoPod/tree/1.3) (2018-07-29)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.2...1.3)

**Implemented enhancements:**

- Recreate websocket when traffic is not working fine [\#40](https://github.com/gdombiak/OctoPod/issues/40)
- Disable 'Refresh SD' button if printer does not support SD [\#39](https://github.com/gdombiak/OctoPod/issues/39)
- Interrupted print when connecting [\#35](https://github.com/gdombiak/OctoPod/issues/35)
- Follow X, Y and Z axis invert settings from OctoPrint [\#34](https://github.com/gdombiak/OctoPod/issues/34)
- Ability to rotate or flip camera via settings [\#33](https://github.com/gdombiak/OctoPod/issues/33)

**Fixed bugs:**

- Fatal error: Can't remove more items from a collection than it has [\#38](https://github.com/gdombiak/OctoPod/issues/38)
- Print not starting from iPhone X IOS 12 beta 3 [\#37](https://github.com/gdombiak/OctoPod/issues/37)

## [1.2](https://github.com/gdombiak/OctoPod/tree/1.2) (2018-07-26)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.1...1.2)

**Implemented enhancements:**

- Improve text of buttons in job information window [\#31](https://github.com/gdombiak/OctoPod/issues/31)
- Add confirmation before canceling a print job [\#30](https://github.com/gdombiak/OctoPod/issues/30)
- Add themes so users can customize the app [\#26](https://github.com/gdombiak/OctoPod/issues/26)
- Add option to restart print [\#24](https://github.com/gdombiak/OctoPod/issues/24)
- Add option to sort files by date \(newest at the top\) [\#23](https://github.com/gdombiak/OctoPod/issues/23)
- Show complete tree of files [\#22](https://github.com/gdombiak/OctoPod/issues/22)
- Allow to watch printer in move tab [\#21](https://github.com/gdombiak/OctoPod/issues/21)
- Allow to disable motors [\#20](https://github.com/gdombiak/OctoPod/issues/20)
- Add terminal view to be able to track what printer is doing [\#16](https://github.com/gdombiak/OctoPod/issues/16)
- Allow to control flow rate of extruder [\#14](https://github.com/gdombiak/OctoPod/issues/14)
- Allow to control fan speed \(on/off\) [\#13](https://github.com/gdombiak/OctoPod/issues/13)
- Add confirmation dialog before disconnecting  [\#11](https://github.com/gdombiak/OctoPod/issues/11)

**Fixed bugs:**

- Progress bar shows incorrect progress [\#28](https://github.com/gdombiak/OctoPod/issues/28)
- Popovers are now displaying fine on iPhone Plus in landscape mode [\#27](https://github.com/gdombiak/OctoPod/issues/27)
- Fix crash when presenting dialog of failed connection [\#19](https://github.com/gdombiak/OctoPod/issues/19)

**Closed issues:**

- Fix Pod warning since no platform was specified as target [\#29](https://github.com/gdombiak/OctoPod/issues/29)

**Merged pull requests:**

- Adding a link in the README.md file to a wiki page with build and dep… [\#32](https://github.com/gdombiak/OctoPod/pull/32) ([bdelia](https://github.com/bdelia))

## [1.1](https://github.com/gdombiak/OctoPod/tree/1.1) (2018-07-18)
[Full Changelog](https://github.com/gdombiak/OctoPod/compare/1.0...1.1)

**Implemented enhancements:**

- Show visual indication when input text has invalid URL [\#9](https://github.com/gdombiak/OctoPod/issues/9)
- Add support for sending g-code commands [\#3](https://github.com/gdombiak/OctoPod/issues/3)
- Add support for refreshing files from SD card [\#1](https://github.com/gdombiak/OctoPod/issues/1)

**Fixed bugs:**

- Job information dialog shows "Unknown" origin when there is no job [\#4](https://github.com/gdombiak/OctoPod/issues/4)

**Closed issues:**

- Update Starscream dependency to 3.0.5 [\#10](https://github.com/gdombiak/OctoPod/issues/10)
- ios 10 support [\#8](https://github.com/gdombiak/OctoPod/issues/8)
- Rename Label "HOTEND" to "EXTRUDER" [\#7](https://github.com/gdombiak/OctoPod/issues/7)
- Increment version to 1.1 before release [\#6](https://github.com/gdombiak/OctoPod/issues/6)
- Add support for iOS 10.2 [\#5](https://github.com/gdombiak/OctoPod/issues/5)

## [1.0](https://github.com/gdombiak/OctoPod/tree/1.0) (2018-07-15)


\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*
